%define		status		alpha
%define		pearname	File_Sitemap
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - create and manage sitemap files
Summary(pl.UTF-8):	%{pearname} - tworzenie i zarządzanie plikami z "mapą strony"
Name:		php-pear-%{pearname}
Version:	0.1.4
Release:	2
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	aa8032c0e89bd26a963967f2c814b068
URL:		http://pear.php.net/package/File_Sitemap/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(dom)
Requires:	php(zlib)
Requires:	php-pear
Suggests:	php-pear-HTTP_Request
Obsoletes:	php-pear-File_Sitemap-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(HTTP/Request.*)

%description
This package allow to create sitemap files used to describe your
website to help search engines indexing it. This package contains all
needed functions to create, read, save, add, modify and remove url,
compress to gzip, notify search engine and test url in the sitemap or
sitemap index.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet ten pozwala na tworzenie plików z mapą strony wykorzystywanych
do opisania serwisu celem ułatwienia wyszukiwarkom internetowym jego
indeksację. Pakiet ten zawiera wszelkie niezbędne funkcje do
tworzenia, odczytu, zapisu, dodawania, modyfikacji oraz usuwania
adresów, kompresji do formatu gzip, informowania wyszukiwark jak
również do testowania adresów.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/File_Sitemap/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt docs/File_Sitemap/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/Sitemap
%{php_pear_dir}/File/Sitemap.php
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 7ecf69b
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> e06956f
- up to 0.1.4

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2b82a58
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 067e658
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 8cee499
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 388eba8
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> d51cbc5
- updated to: 0.1.3

* Sat May 17 2008 Adam Gołębiowski <adamg@pld-linux.org> e6d5f1d
- new

